GET
/v1/vendor/{id}
const url = 'https://api.zentail.com/v1/vendor/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.zentail.com/v1/vendor/1 \ --header 'Authorization: Bearer <token>'Returns the ID, name, lead time, payment window, notes, and address associated with the vendor requested.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
number
Vendor ID
Responses
Section titled “ Responses ”Success
Media type*/*
object
results
object
vendor_id
A unique identifier for this vendor.
number
name
string
lead_time
number
payment_window
number
notes
string
address
object
name
string
company
string
line1
string
line2
string
city
string
state
string
postal_code
string
phone
string
email
string
country_code
string
Bad Request
Media type*/*
object
errorCode
number
Example
400errorMessages
Array<string>
referenceId
string format: uuid
Permission Denied
Media type*/*
object
errorCode
number
Example
403errorMessages
Array<string>
referenceId
string format: uuid
Not Found
Media type*/*
object
errorCode
number
Example
404errorMessages
Array<string>
referenceId
string format: uuid
Zentail Error
Media type*/*
object
errorCode
number
Example
500errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Zentail Error
Media type*/*
object
errorCode
number
Example
503errorMessages
Array<string>
referenceId
string format: uuid